/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollectCategory.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.grainPriceCollectCategory.entity.GrainPriceCollectCategory;
import com.unis.basic.info.modular.grainPriceCollectCategory.param.GrainPriceCollectCategoryAddParam;
import com.unis.basic.info.modular.grainPriceCollectCategory.param.GrainPriceCollectCategoryEditParam;
import com.unis.basic.info.modular.grainPriceCollectCategory.param.GrainPriceCollectCategoryIdParam;
import com.unis.basic.info.modular.grainPriceCollectCategory.param.GrainPriceCollectCategoryPageParam;

import java.util.List;

/**
 * 粮食价格采集-品种Service接口
 *
 * @author TS
 * @date  2024/04/03 10:41
 **/
public interface GrainPriceCollectCategoryService extends IService<GrainPriceCollectCategory> {

    /**
     * 获取粮食价格采集-品种分页
     *
     * @author TS
     * @date  2024/04/03 10:41
     */
    Page<GrainPriceCollectCategory> page(GrainPriceCollectCategoryPageParam grainPriceCollectCategoryPageParam);

    /**
     * 添加粮食价格采集-品种
     *
     * @author TS
     * @date  2024/04/03 10:41
     */
    void add(GrainPriceCollectCategoryAddParam grainPriceCollectCategoryAddParam);

    /**
     * 编辑粮食价格采集-品种
     *
     * @author TS
     * @date  2024/04/03 10:41
     */
    void edit(GrainPriceCollectCategoryEditParam grainPriceCollectCategoryEditParam);

    /**
     * 删除粮食价格采集-品种
     *
     * @author TS
     * @date  2024/04/03 10:41
     */
    void delete(List<GrainPriceCollectCategoryIdParam> grainPriceCollectCategoryIdParamList);

    /**
     * 获取粮食价格采集-品种详情
     *
     * @author TS
     * @date  2024/04/03 10:41
     */
    GrainPriceCollectCategory detail(GrainPriceCollectCategoryIdParam grainPriceCollectCategoryIdParam);

    /**
     * 获取粮食价格采集-品种详情
     *
     * @author TS
     * @date  2024/04/03 10:41
     **/
    GrainPriceCollectCategory queryEntity(String id);
}
