/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.grainPriceCollectCitySum.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import com.unis.basic.info.modular.grainPriceCollect.param.GrainPriceCollectIdParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.basic.info.modular.grainPriceCollectCitySum.entity.GrainPriceCollectCitySum;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumAddParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumEditParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumIdParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumPageParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.service.GrainPriceCollectCitySumService;

import com.unis.basic.info.modular.grainPriceCollectCitySum.param.SummaryAnalysisParam;


import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.Map;
import java.util.List;

/**
 * 市级粮食价格采集汇总控制器
 *
 * @author TS
 * @date  2024/04/03 10:36
 */
@Api(tags = "市级粮食价格采集汇总控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class GrainPriceCollectCitySumController {

    @Resource
    private GrainPriceCollectCitySumService grainPriceCollectCitySumService;

  /*  *//**
     * 获取市级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/03 10:36
     *//*
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取市级粮食价格采集汇总分页")
    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/page")
    @GetMapping("/basic.info/grainPriceCollectCitySum/page")
    public CommonResult<Page<GrainPriceCollectCitySum>> page(GrainPriceCollectCitySumPageParam grainPriceCollectCitySumPageParam) {
        return CommonResult.data(grainPriceCollectCitySumService.page(grainPriceCollectCitySumPageParam));
    }*/
    /**
     * 获取自定义市级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/08 10:36
     */
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取自定义市级粮食价格采集汇总分页")
//    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/findPage")
    @GetMapping("/basic.info/grainPriceCollectCitySum/findPage")
    public CommonResult<IPage<Map<String,Object>>> findPage(GrainPriceCollectCitySumPageParam grainPriceCollectCitySumPageParam) {
        return CommonResult.data(grainPriceCollectCitySumService.findPage(grainPriceCollectCitySumPageParam));
    }

    /**
     * 添加市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加市级粮食价格采集汇总")
    @CommonLog("添加市级粮食价格采集汇总")
    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/add")
    @PostMapping("/basic.info/grainPriceCollectCitySum/add")
    public CommonResult<String> add(@RequestBody @Valid GrainPriceCollectCitySumAddParam grainPriceCollectCitySumAddParam) {
        grainPriceCollectCitySumService.add(grainPriceCollectCitySumAddParam);
        return CommonResult.ok();
    }

    /**
     * 编辑市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑市级粮食价格采集汇总")
    @CommonLog("编辑市级粮食价格采集汇总")
    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/edit")
    @PostMapping("/basic.info/grainPriceCollectCitySum/edit")
    public CommonResult<String> edit(@RequestBody @Valid GrainPriceCollectCitySumEditParam grainPriceCollectCitySumEditParam) {
        grainPriceCollectCitySumService.edit(grainPriceCollectCitySumEditParam);
        return CommonResult.ok();
    }

    /**
     * 删除市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除市级粮食价格采集汇总")
    @CommonLog("删除市级粮食价格采集汇总")
    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/delete")
    @PostMapping("/basic.info/grainPriceCollectCitySum/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<GrainPriceCollectCitySumIdParam> grainPriceCollectCitySumIdParamList) {
        grainPriceCollectCitySumService.delete(grainPriceCollectCitySumIdParamList);
        return CommonResult.ok();
    }

    /**
     * 获取市级粮食价格采集汇总详情
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取市级粮食价格采集汇总详情")
//    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/detail")
    @GetMapping("/basic.info/grainPriceCollectCitySum/detail")
    public CommonResult<GrainPriceCollectCitySum> detail(@Valid GrainPriceCollectCitySumIdParam grainPriceCollectCitySumIdParam) {
        return CommonResult.data(grainPriceCollectCitySumService.detail(grainPriceCollectCitySumIdParam));
    }
    /**
     * 市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    @ApiOperationSupport(order = 6)
    @ApiOperation("市级粮食价格采集汇总")
//    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/collectCitySum")
    @GetMapping("/basic.info/grainPriceCollectCitySum/collectCitySum")
    public CommonResult<String> collectCitySum(@RequestParam(value = "orgId") @NotEmpty(message = "单位不能为空") String orgId,@RequestParam(value = "userId") @NotEmpty(message = "用户不能为空") String userId) {
        return CommonResult.data(grainPriceCollectCitySumService.collectCitySum(orgId,userId));
    }
    /**
     * 市级粮食价格采集上报
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    @ApiOperationSupport(order = 7)
    @ApiOperation("市级粮食价格采集上报")
//    @SaCheckPermission("/basic.info/grainPriceCollectCitySum/collectCityUpload")
    @GetMapping("/basic.info/grainPriceCollectCitySum/collectCityUpload")
    public CommonResult<String> collectCityUpload(@Valid GrainPriceCollectCitySumIdParam grainPriceCollectCitySumIdParam) {
        return CommonResult.data(grainPriceCollectCitySumService.collectCityUpload(grainPriceCollectCitySumIdParam));
    }

    /**
     *
     *
     */

    @ApiOperationSupport(order = 8)
    @ApiOperation("市级--粮食价格汇总统计")
   // @SaCheckPermission("/basic.info/grainPriceCollectCitySum/summaryAnalysis")
    @GetMapping("/basic.info/grainPriceCollectCitySum/summaryAnalysis")
    public CommonResult<List<GrainPriceCollectCitySum>> summaryAnalysis(SummaryAnalysisParam summaryAnalysisParam) {
        return CommonResult.data(grainPriceCollectCitySumService.summaryAnalysis(summaryAnalysisParam));
    }
    /**
     * 审核市级粮食价格采集
     *
     * @author TS
     * @date  2024/04/9 19:44
     */
    @ApiOperationSupport(order = 9)
    @ApiOperation("审核市级粮食价格采集")
    @CommonLog("审核市级粮食价格采集")
    // @SaCheckPermission("/basic.info/grainPriceCollectCitySum/audit")
    @GetMapping("/basic.info/grainPriceCollectCitySum/audit")
    public CommonResult<String> audit(@Valid GrainPriceCollectCitySumIdParam GrainPriceCollectCitySumIdParam) {
        return CommonResult.data(grainPriceCollectCitySumService.audit(GrainPriceCollectCitySumIdParam));
    }
}
