package com.unis.basic.info.modular.grainPriceCollectCitySum.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumAddParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumEditParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumIdParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.GrainPriceCollectCitySumPageParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.param.SummaryAnalysisParam;
import com.unis.basic.info.modular.grainPriceCollectCitySum.entity.GrainPriceCollectCitySum;
import java.util.List;
import java.util.Map;

/**
 * 市级粮食价格采集汇总Service接口
 *
 * @author TS
 * @date  2024/04/03 10:36
 **/
public interface GrainPriceCollectCitySumService extends IService<GrainPriceCollectCitySum> {

    /**
     * 获取市级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    Page<GrainPriceCollectCitySum> page(GrainPriceCollectCitySumPageParam grainPriceCollectCitySumPageParam);

    /**
     * 添加市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    void add(GrainPriceCollectCitySumAddParam grainPriceCollectCitySumAddParam);

    /**
     * 编辑市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    void edit(GrainPriceCollectCitySumEditParam grainPriceCollectCitySumEditParam);

    /**
     * 删除市级粮食价格采集汇总
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    void delete(List<GrainPriceCollectCitySumIdParam> grainPriceCollectCitySumIdParamList);

    /**
     * 获取市级粮食价格采集汇总详情
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    GrainPriceCollectCitySum detail(GrainPriceCollectCitySumIdParam grainPriceCollectCitySumIdParam);

    /**
     * 获取市级粮食价格采集汇总详情
     *
     * @author TS
     * @date  2024/04/03 10:36
     **/
    GrainPriceCollectCitySum queryEntity(String id);

    /**
     *市级粮食价格采集汇总
     * @param orgId
     * @return
     */
    String collectCitySum(String orgId,String userId);

    /**
     * 市级粮食价格采集上报
     * @param grainPriceCollectCitySumIdParam
     * @return
     */
    String collectCityUpload(GrainPriceCollectCitySumIdParam grainPriceCollectCitySumIdParam);
    /**
     * 获取自定义市级粮食价格采集汇总分页
     *
     * @author TS
     * @date  2024/04/03 10:36
     */
    IPage<Map<String,Object>> findPage(GrainPriceCollectCitySumPageParam grainPriceCollectCitySumPageParam);


    List<GrainPriceCollectCitySum> summaryAnalysis(SummaryAnalysisParam summaryAnalysisParam);

    /**
     * 审核市级粮食价格采集
     * @param grainPriceCollectCitySumIdParam
     * @return
     */
    String audit(GrainPriceCollectCitySumIdParam grainPriceCollectCitySumIdParam);
}
