/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.priceMoitorRecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.priceMoitorRecord.entity.PriceMoitorRecord;
import com.unis.basic.info.modular.priceMoitorRecord.param.PriceMoitorRecordAddParam;
import com.unis.basic.info.modular.priceMoitorRecord.param.PriceMoitorRecordEditParam;
import com.unis.basic.info.modular.priceMoitorRecord.param.PriceMoitorRecordIdParam;
import com.unis.basic.info.modular.priceMoitorRecord.param.PriceMoitorRecordPageParam;
import com.unis.basic.info.modular.priceMoitorRecord.vo.PriceMonitorRecordVo;

import java.util.List;

/**
 * 价格监测-操作记录Service接口
 *
 * @author hujinachun
 * @date  2024/04/11 19:08
 **/
public interface PriceMoitorRecordService extends IService<PriceMoitorRecord> {

    /**
     * 获取价格监测-操作记录分页
     *
     * @author hujinachun
     * @date  2024/04/11 19:08
     */
    Page<PriceMonitorRecordVo> page(PriceMoitorRecordPageParam priceMoitorRecordPageParam);

    /**
     * 添加价格监测-操作记录
     *
     * @author hujinachun
     * @date  2024/04/11 19:08
     */
    void add(PriceMoitorRecordAddParam priceMoitorRecordAddParam);

    /**
     * 编辑价格监测-操作记录
     *
     * @author hujinachun
     * @date  2024/04/11 19:08
     */
    void edit(PriceMoitorRecordEditParam priceMoitorRecordEditParam);

    /**
     * 删除价格监测-操作记录
     *
     * @author hujinachun
     * @date  2024/04/11 19:08
     */
    void delete(List<PriceMoitorRecordIdParam> priceMoitorRecordIdParamList);

    /**
     * 获取价格监测-操作记录详情
     *
     * @author hujinachun
     * @date  2024/04/11 19:08
     */
    PriceMoitorRecord detail(PriceMoitorRecordIdParam priceMoitorRecordIdParam);

    /**
     * 获取价格监测-操作记录详情
     *
     * @author hujinachun
     * @date  2024/04/11 19:08
     **/
    PriceMoitorRecord queryEntity(Long id);

    List<PriceMoitorRecord> fandDetail(PriceMoitorRecordIdParam priceMoitorRecordIdParam);

}
