/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.pricemonitor.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.pricemonitor.param.PriceMonitorAddParam;
import com.unis.basic.info.modular.pricemonitor.entity.PriceMonitor;
import com.unis.basic.info.modular.pricemonitor.param.PriceMonitorAddParam;
import com.unis.basic.info.modular.pricemonitor.param.PriceMonitorEditParam;
import com.unis.basic.info.modular.pricemonitor.param.PriceMonitorIdParam;
import com.unis.basic.info.modular.pricemonitor.param.PriceMonitorPageParam;
import com.unis.basic.info.modular.pricemonitor.vo.PriceMonitorVO;
import com.unis.common.pojo.CommonResult;

import java.util.List;

/**
 * 价格监测Service接口
 *
 * @author weiyinbin
 * @date  2024/04/02 15:09
 **/
public interface PriceMonitorService extends IService<PriceMonitor> {

    /**
     * 获取价格监测分页
     *
     * @author weiyinbin
     * @date  2024/04/02 15:09
     */
    IPage<PriceMonitorVO> page(PriceMonitorPageParam priceMonitorPageParam);

    /**
     * 添加价格监测
     *
     * @author weiyinbin
     * @date  2024/04/02 15:09
     */
    CommonResult<String> add(PriceMonitorAddParam priceMonitorAddParam);

    /**
     * 编辑价格监测
     *
     * @author weiyinbin
     * @date  2024/04/02 15:09
     */
    void edit(PriceMonitorEditParam priceMonitorEditParam);

    /**
     * 删除价格监测
     *
     * @author weiyinbin
     * @date  2024/04/02 15:09
     */
    void delete(List<PriceMonitorIdParam> priceMonitorIdParamList);

    /**
     * 获取价格监测详情
     *
     * @author weiyinbin
     * @date  2024/04/02 15:09
     */
    PriceMonitor detail(PriceMonitorIdParam priceMonitorIdParam);

    /**
     * 获取价格监测详情
     *
     * @author weiyinbin
     * @date  2024/04/02 15:09
     **/
    PriceMonitor queryEntity(String id);




}
