/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.remindcycle.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 报送周期添加参数
 *
 * @author weiyinbin
 * @date  2024/04/02 14:45
 **/
@Getter
@Setter
public class RemindCycleAddParam {

    /** 报送周期；周一：1.....周日：7； */
    @ApiModelProperty(value = "报送周期；周一：1.....周日：7；", position = 7)
    @NotNull(message = "报送周期不能为空")
    private Integer dayOfWeek;

    /** 报送开始时间 */
    @ApiModelProperty(value = "报送开始时间", position = 8)
    @NotNull(message = "报送时间不能为空")
    @JsonFormat(pattern="HH:mm:ss",timezone="GMT+8")
    private Date startTime;

    /** 报送结束时间 */
    @ApiModelProperty(value = "报送结束时间", position = 9)
    @NotNull(message = "报送时间不能为空")
    @JsonFormat(pattern="HH:mm:ss",timezone="GMT+8")
    private Date endTime;

    /** 提前提醒；提前小时数； */
    @ApiModelProperty(value = "提前提醒；提前小时数；", position = 10)
    @NotNull(message = "报送提醒不能为空")
    private Integer advanceHour;

}
