/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.unReporCity.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

/**
 * 漏报统计市州实体
 *
 * @author weiyinbin
 * @date  2024/04/02 20:13
 **/
@Getter
@Setter
@TableName("biz_un_report_city")
public class UnReporCity {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 2)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 6)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 所属市州；sys_org的id； */
    @ApiModelProperty(value = "所属市州；sys_org的id；", position = 7)
    private String sysOrgId;

    /** 漏报次数 */
    @ApiModelProperty(value = "漏报次数", position = 8)
    private Integer unReportCount;

    /** 未在实地采集次数 */
    @ApiModelProperty(value = "未在实地采集次数", position = 9)
    private Integer unSelfPriceMonitorCount;

    /** 统计日期 */
    @ApiModelProperty(value = "统计日期", position = 10)
    private Date reportDate;

    /** 错报次数 */
    @ApiModelProperty(value = "错报次数", position = 11)
    private Integer falseReportCount;
}
