/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.usercollect.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.basic.info.modular.usercollect.entity.UserCollect;
import com.unis.basic.info.modular.usercollect.param.UserCollectAddParam;
import com.unis.basic.info.modular.usercollect.param.UserCollectEditParam;
import com.unis.basic.info.modular.usercollect.param.UserCollectIdParam;
import com.unis.basic.info.modular.usercollect.param.UserCollectPageParam;
import com.unis.basic.info.modular.usercollect.vo.PricemonitorVO;
import com.unis.basic.info.modular.usercollect.vo.UserCollectVO;
import com.unis.common.pojo.CommonResult;

import java.util.List;
import java.util.Map;

/**
 * 采集人员Service接口
 *
 * @author weiyinbin
 * @date  2024/04/02 15:40
 **/
public interface UserCollectService extends IService<UserCollect> {

    /**
     * 获取采集人员分页
     *
     * @author weiyinbin
     * @date  2024/04/02 15:40
     */
    IPage<UserCollectVO> page(UserCollectPageParam userCollectPageParam);

    /**
     * 添加采集人员
     *
     * @author weiyinbin
     * @date  2024/04/02 15:40
     */
    void add(UserCollectAddParam userCollectAddParam);

    /**
     * 编辑采集人员
     *
     * @author weiyinbin
     * @date  2024/04/02 15:40
     */
    void edit(UserCollectEditParam userCollectEditParam);

    /**
     * 删除采集人员
     *
     * @author weiyinbin
     * @date  2024/04/02 15:40
     */
    void delete(List<UserCollectIdParam> userCollectIdParamList);

    /**
     * 获取采集人员详情
     *
     * @author weiyinbin
     * @date  2024/04/02 15:40
     */
    UserCollectVO detail(UserCollectIdParam userCollectIdParam);

    /**
     * 获取采集人员详情
     *
     * @author weiyinbin
     * @date  2024/04/02 15:40
     **/
    UserCollect queryEntity(String id);

    List<PricemonitorVO> getPricemonitor(String orgId);

}
