/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.assessmentManage.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.examine.modular.assessmentlevel.entity.AssessmentLevel;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelAddParam;
import com.unis.examine.modular.assessmenttarget.entity.AssessmentTarget;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetAddParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 粮食安全责任制考核-考核指标管理表实体
 *
 * @author shine
 * @date  2024/04/22 11:44
 **/
@Getter
@Setter
@TableName("biz_ne_assessment_manage")
public class AssessmentManage {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 2)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 6)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 考核类型；1：国考；2：省考； */
    @ApiModelProperty(value = "考核类型；1：国考；2：省考；", position = 7)
    private Integer assessmentType;

    /** 考核年度 */
    @ApiModelProperty(value = "考核年度", position = 8)
    private Integer assessmentYear;

    /** 考核名称 */
    @ApiModelProperty(value = "考核名称", position = 9)
    private String assessmentName;

    /** 考核开始时间 */
    @ApiModelProperty(value = "考核开始时间", position = 10)
    private Date startTime;

    /** 考核结束时间 */
    @ApiModelProperty(value = "考核结束时间", position = 11)
    private Date endTime;

    /** 状态 0：未下发任务；1：保存；2：已下发任务； */
    @ApiModelProperty(value = "状态 0：未下发任务；1：保存；2：已下发任务；", position = 12)
    private Integer status;

    @ApiModelProperty(value = "考核等级设置", position = 13)
    private List<AssessmentLevel> levelList;

    @ApiModelProperty(value = "考核指标设置", position = 14)
    private List<AssessmentTarget> targetList;
}
