/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.assessmentManage.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelAddParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetAddParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 粮食安全责任制考核-考核指标管理表添加参数
 *
 * @author shine
 * @date  2024/04/22 11:44
 **/
@Getter
@Setter
public class AssessmentManageAddParam {

    /** 考核类型；1：国考；2：省考； */
    @ApiModelProperty(value = "考核类型；1：国考；2：省考；", position = 7)
    private Integer assessmentType;

    /** 考核年度 */
    @ApiModelProperty(value = "考核年度", position = 8)
    /*@JsonFormat(pattern = "yyyy",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy")*/
    private Integer assessmentYear;

    /** 考核名称 */
    @ApiModelProperty(value = "考核名称", position = 9)
    private String assessmentName;

    /** 考核开始时间 */
    @ApiModelProperty(value = "考核开始时间", position = 10)
    private Date startTime;

    /** 考核结束时间 */
    @ApiModelProperty(value = "考核结束时间", position = 11)
    private Date endTime;

    /** 状态 0：未下发任务；1：保存；2：已下发任务； */
    @ApiModelProperty(value = "状态 0：未下发任务；1：保存；2：已下发任务；", position = 12)
    private Integer status;

    @ApiModelProperty(value = "考核等级设置", position = 13)
    private List<AssessmentLevelAddParam> levelList;

    @ApiModelProperty(value = "考核指标设置", position = 14)
    private List<AssessmentTargetAddParam> targetList;


}
