/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.assessmentlevel.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.examine.modular.assessmentlevel.entity.AssessmentLevel;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelAddParam;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelEditParam;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelIdParam;
import com.unis.examine.modular.assessmentlevel.param.AssessmentLevelPageParam;

import java.util.List;

/**
 * 粮食安全责任制考核-考核指标管理-考核等级Service接口
 *
 * @author shine
 * @date  2024/04/22 14:04
 **/
public interface AssessmentLevelService extends IService<AssessmentLevel> {

    /**
     * 获取粮食安全责任制考核-考核指标管理-考核等级分页
     *
     * @author shine
     * @date  2024/04/22 14:04
     */
    Page<AssessmentLevel> page(AssessmentLevelPageParam assessmentLevelPageParam);

    /**
     * 添加粮食安全责任制考核-考核指标管理-考核等级
     *
     * @author shine
     * @date  2024/04/22 14:04
     */
    void add(AssessmentLevelAddParam assessmentLevelAddParam);

    /**
     * 编辑粮食安全责任制考核-考核指标管理-考核等级
     *
     * @author shine
     * @date  2024/04/22 14:04
     */
    void edit(AssessmentLevelEditParam assessmentLevelEditParam);

    /**
     * 删除粮食安全责任制考核-考核指标管理-考核等级
     *
     * @author shine
     * @date  2024/04/22 14:04
     */
    void delete(List<AssessmentLevelIdParam> assessmentLevelIdParamList);

    /**
     * 获取粮食安全责任制考核-考核指标管理-考核等级详情
     *
     * @author shine
     * @date  2024/04/22 14:04
     */
    AssessmentLevel detail(AssessmentLevelIdParam assessmentLevelIdParam);

    /**
     * 获取粮食安全责任制考核-考核指标管理-考核等级详情
     *
     * @author shine
     * @date  2024/04/22 14:04
     **/
    AssessmentLevel queryEntity(String id);


    List<AssessmentLevel> queryList(String assessmentManageId);
}
