/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.assessmenttarget.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.examine.modular.assessmentlevel.entity.AssessmentLevel;
import com.unis.examine.modular.assessmenttarget.entity.AssessmentTarget;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetAddParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetEditParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetIdParam;
import com.unis.examine.modular.assessmenttarget.param.AssessmentTargetPageParam;

import java.util.List;

/**
 * 粮食安全责任制考核-考核指标管理-考核指标Service接口
 *
 * @author shine
 * @date  2024/04/22 14:05
 **/
public interface AssessmentTargetService extends IService<AssessmentTarget> {

    /**
     * 获取粮食安全责任制考核-考核指标管理-考核指标分页
     *
     * @author shine
     * @date  2024/04/22 14:05
     */
    Page<AssessmentTarget> page(AssessmentTargetPageParam assessmentTargetPageParam);

    /**
     * 添加粮食安全责任制考核-考核指标管理-考核指标
     *
     * @author shine
     * @date  2024/04/22 14:05
     */
    void add(AssessmentTargetAddParam assessmentTargetAddParam);

    /**
     * 编辑粮食安全责任制考核-考核指标管理-考核指标
     *
     * @author shine
     * @date  2024/04/22 14:05
     */
    void edit(AssessmentTargetEditParam assessmentTargetEditParam);

    /**
     * 删除粮食安全责任制考核-考核指标管理-考核指标
     *
     * @author shine
     * @date  2024/04/22 14:05
     */
    void delete(List<AssessmentTargetIdParam> assessmentTargetIdParamList);

    /**
     * 获取粮食安全责任制考核-考核指标管理-考核指标详情
     *
     * @author shine
     * @date  2024/04/22 14:05
     */
    AssessmentTarget detail(AssessmentTargetIdParam assessmentTargetIdParam);

    /**
     * 获取粮食安全责任制考核-考核指标管理-考核指标详情
     *
     * @author shine
     * @date  2024/04/22 14:05
     **/
    AssessmentTarget queryEntity(String id);

    List<AssessmentTarget> queryList(String assessmentManageId);

}
