/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.neassessmentScore.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 粮食安全责任制考核-考核评分表实体
 *
 * @author ZeroLiYi
 * @date  2024/04/23 10:15
 **/
@Getter
@Setter
@TableName("biz_ne_assessment_score")
public class BizNeAssessmentScore {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 2)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 4)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 6)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 类型 1：国考-青海省；2：省考-西宁市；3：省考-海东；4：省考-海北州；5：省考-海西州；6：省考-海南州；7：省考-黄南州；8：省考-果洛州；9：省考-玉树州； */
    @ApiModelProperty(value = "类型 1：国考-青海省；2：省考-西宁市；3：省考-海东；4：省考-海北州；5：省考-海西州；6：省考-海南州；7：省考-黄南州；8：省考-果洛州；9：省考-玉树州；", position = 7)
    private Integer pcType;

    /** biz_ne_assessment_manage的id； */
    @ApiModelProperty(value = "biz_ne_assessment_manage的id；", position = 8)
    private String assessmentManageId;

    /** biz_ne_assessment_target的id； */
    @ApiModelProperty(value = "biz_ne_assessment_target的id；", position = 9)
    private String assessmentTargetId;

    /** 得分 */
    @ApiModelProperty(value = "得分", position = 10)
    private Integer score;

    /** 扣分 */
    @ApiModelProperty(value = "扣分", position = 11)
    private Integer deduction;

    /** 扣分原因 */
    @ApiModelProperty(value = "扣分原因", position = 12)
    private String reasonForDeduction;

    /** 佐证材料 */
    @ApiModelProperty(value = "佐证材料", position = 13)
    private String evidenceMaterial;

    /** 工作总结 */
    @ApiModelProperty(value = "工作总结", position = 14)
    private String workSummary;

    /** 状态 0：未上传；1：已上传； */
    @ApiModelProperty(value = "状态 0：未上传；1：已上传；", position = 15)
    private Integer status;

    /** biz_ne_assessment_score_sum的id */
    @ApiModelProperty(value = "biz_ne_assessment_score_sum的id", position = 16)
    private String assessmentScoreSumId;
}
