/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.examine.modular.neassessmentScore.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.examine.modular.assessmentManage.param.AssessmentManagePageParam;
import com.unis.examine.modular.neassessmentScore.entity.BizNeAssessmentScore;
import com.unis.examine.modular.neassessmentScore.param.BizNeAssessmentScoreAddParam;
import com.unis.examine.modular.neassessmentScore.param.BizNeAssessmentScoreEditParam;
import com.unis.examine.modular.neassessmentScore.param.BizNeAssessmentScoreIdParam;
import com.unis.examine.modular.neassessmentScore.param.BizNeAssessmentScorePageParam;

import java.util.List;
import java.util.Map;

/**
 * 粮食安全责任制考核-考核评分表Service接口
 *
 * @author ZeroLiYi
 * @date  2024/04/23 10:15
 **/
public interface BizNeAssessmentScoreService extends IService<BizNeAssessmentScore> {

    /**
     * 获取粮食安全责任制考核-考核评分表分页
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:15
     */
    Page<BizNeAssessmentScore> page(BizNeAssessmentScorePageParam bizNeAssessmentScorePageParam);

    /**
     * 添加粮食安全责任制考核-考核评分表
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:15
     */
    void add(BizNeAssessmentScoreAddParam bizNeAssessmentScoreAddParam);

    /**
     * 编辑粮食安全责任制考核-考核评分表
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:15
     */
    void edit(BizNeAssessmentScoreEditParam bizNeAssessmentScoreEditParam);

    /**
     * 删除粮食安全责任制考核-考核评分表
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:15
     */
    void delete(List<BizNeAssessmentScoreIdParam> bizNeAssessmentScoreIdParamList);

    /**
     * 获取粮食安全责任制考核-考核评分表详情
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:15
     */
    BizNeAssessmentScore detail(BizNeAssessmentScoreIdParam bizNeAssessmentScoreIdParam);

    /**
     * 获取粮食安全责任制考核-考核评分表详情
     *
     * @author ZeroLiYi
     * @date  2024/04/23 10:15
     **/
    BizNeAssessmentScore queryEntity(String id);

    IPage<Map<String,Object>> findByDetail(BizNeAssessmentScorePageParam bizNeAssessmentScorePageParam);
}
