/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.alPolicyFileReport.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 行政法规管理-政策规范性文件申报添加参数
 *
 * @author TS
 * @date  2024/04/18 15:02
 **/
@Getter
@Setter
public class AlPolicyFileReportAddParam {

    /** 标题 */
    @ApiModelProperty(value = "标题", position = 7)
    private String title;

    /** 申报部门；sys_org的id； */
    @ApiModelProperty(value = "申报部门；sys_org的id；", position = 8)
    private String sysOrgId;

    /** 申报人 */
    @ApiModelProperty(value = "申报人", position = 9)
    private String reporter;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 10)
    private String contactInfo;

    /** 申报编号 */
    @ApiModelProperty(value = "申报编号", position = 11)
    private String reportNumber;

    /** 申报日期 */
    @ApiModelProperty(value = "申报日期", position = 12)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date reportDate;

    /** 申报正文 */
    @ApiModelProperty(value = "申报正文", position = 13)
    private String reportContent;

    /** 附件，链接地址 */
    @ApiModelProperty(value = "附件，链接地址", position = 14)
    private String attachment;

    /** 状态 0：待发起；1：已发起；2：驳回； */
    @ApiModelProperty(value = "状态 0：待发起；1：已发起；2：驳回；", position = 15)
    private Integer status;

}
