/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.auditRecord.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.policy.info.modular.auditRecord.entity.AuditRecord;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordAddParam;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordEditParam;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordIdParam;
import com.unis.policy.info.modular.auditRecord.param.AuditRecordPageParam;
import com.unis.policy.info.modular.auditRecord.service.AuditRecordService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

/**
 * 审核记录控制器
 *
 * @author TS
 * @date  2024/04/18 14:40
 */
@Api(tags = "审核记录控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class AuditRecordController {

    @Resource
    private AuditRecordService auditRecordService;

    /**
     * 获取审核记录分页
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
//    @ApiOperationSupport(order = 1)
//    @ApiOperation("获取审核记录分页")
//    @SaCheckPermission("/policy.info/auditRecord/page")
//    @GetMapping("/policy.info/auditRecord/page")
//    public CommonResult<Page<AuditRecord>> page(AuditRecordPageParam auditRecordPageParam) {
//        return CommonResult.data(auditRecordService.page(auditRecordPageParam));
//    }

    /**
     * 添加审核记录
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
//    @ApiOperationSupport(order = 2)
//    @ApiOperation("添加审核记录")
//    @CommonLog("添加审核记录")
//    @SaCheckPermission("/policy.info/auditRecord/add")
//    @PostMapping("/policy.info/auditRecord/add")
//    public CommonResult<String> add(@RequestBody @Valid AuditRecordAddParam auditRecordAddParam) {
//        auditRecordService.add(auditRecordAddParam);
//        return CommonResult.ok();
//    }

    /**
     * 编辑审核记录
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
//    @ApiOperationSupport(order = 3)
//    @ApiOperation("编辑审核记录")
//    @CommonLog("编辑审核记录")
//    @SaCheckPermission("/policy.info/auditRecord/edit")
//    @PostMapping("/policy.info/auditRecord/edit")
//    public CommonResult<String> edit(@RequestBody @Valid AuditRecordEditParam auditRecordEditParam) {
//        auditRecordService.edit(auditRecordEditParam);
//        return CommonResult.ok();
//    }

    /**
     * 删除审核记录
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
//    @ApiOperationSupport(order = 4)
//    @ApiOperation("删除审核记录")
//    @CommonLog("删除审核记录")
//    @SaCheckPermission("/policy.info/auditRecord/delete")
//    @PostMapping("/policy.info/auditRecord/delete")
//    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
//                                                   CommonValidList<AuditRecordIdParam> auditRecordIdParamList) {
//        auditRecordService.delete(auditRecordIdParamList);
//        return CommonResult.ok();
//    }

    /**
     * 获取审核记录详情
     *
     * @author TS
     * @date  2024/04/18 14:40
     */
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取审核记录详情")
    @SaCheckPermission("/policy.info/auditRecord/detail")
    @GetMapping("/policy.info/auditRecord/detail")
    public CommonResult<AuditRecord> detail(@Valid AuditRecordIdParam auditRecordIdParam) {
        return CommonResult.data(auditRecordService.detail(auditRecordIdParam));
    }
}
