/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.auditRequest.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.auditRequest.entity.AuditRequest;
import com.unis.policy.info.modular.auditRequest.param.*;

import java.util.List;

/**
 * 审核请求Service接口
 *
 * @author TS
 * @date  2024/04/18 14:51
 **/
public interface AuditRequestService extends IService<AuditRequest> {

    /**
     * 获取审核请求分页
     *
     * @author TS
     * @date  2024/04/18 14:51
     */
    Page<AuditRequest> page(AuditRequestPageParam auditRequestPageParam);

    /**
     * 进行审核操作
     *
     * @author TS
     * @date  2024/04/18 14:51
     */
    void audit(AuditRequestAddParam auditRequestAddParam);

    /**
     * 进行驳回操作
     *
     * @author TS
     * @date  2024/04/18 14:51
     */
    void reject(AuditRequestAddParam auditRequestAddParam);

    /**
     * 删除审核请求
     *
     * @author TS
     * @date  2024/04/18 14:51
     */
    void delete(List<AuditRequestIdParam> auditRequestIdParamList);

    /**
     * 获取审核请求详情
     *
     * @author TS
     * @date  2024/04/18 14:51
     */
    JSONObject detail(AuditRequestDetailParam auditRequestDetailParam);

    /**
     * 获取审核请求详情
     *
     * @author TS
     * @date  2024/04/18 14:51
     **/
    AuditRequest queryEntity(String id);
}
