/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpAdviceCollect.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 中长期规划管理-规划编制（意见收集）编辑参数
 *
 * @author hujinachun
 * @date  2024/04/18 18:02
 **/
@Getter
@Setter
public class MlpAdviceCollectEditParam {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 规划名称 */
    @ApiModelProperty(value = "规划名称", position = 7)
    @NotBlank(message = "规划名称不能为空")
    private String planName;

    /** 收集处室；sys_org的id； */
    @ApiModelProperty(value = "收集处室；sys_org的id；", position = 8)
    @NotBlank(message = "收集处室不能为空")
    private String sysOrgId;

    /** 意见收集截止时间 */
    @ApiModelProperty(value = "意见收集截止时间", position = 9)
    private Date collectionDeadline;

    /** 规划正文 */
    @ApiModelProperty(value = "规划正文", position = 10)
    @NotBlank(message = "规划正文不能为空")
    private String planContent;

    /** 附件链接或名称 */
    @ApiModelProperty(value = "附件链接或名称", position = 11)
    private String attachment;

    /** 状态 1：保存；2：发布；*/
    @ApiModelProperty(value = "状态", position = 8)
    private Integer status;

}
