/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpDraftAuditExpert.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.mlpDraftAuditExpert.entity.MlpDraftAuditExpert;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertAddParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertEditParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertIdParam;
import com.unis.policy.info.modular.mlpDraftAuditExpert.param.MlpDraftAuditExpertPageParam;

import java.util.List;

/**
 * 中长期规划管理-专家评审-专家Service接口
 *
 * @author hjc
 * @date  2024/04/24 10:58
 **/
public interface MlpDraftAuditExpertService extends IService<MlpDraftAuditExpert> {

    /**
     * 获取中长期规划管理-专家评审-专家分页
     *
     * @author hjc
     * @date  2024/04/24 10:58
     */
    Page<MlpDraftAuditExpert> page(MlpDraftAuditExpertPageParam mlpDraftAuditExpertPageParam);

    /**
     * 添加中长期规划管理-专家评审-专家
     *
     * @author hjc
     * @date  2024/04/24 10:58
     */
    void add(MlpDraftAuditExpertAddParam mlpDraftAuditExpertAddParam);

    /**
     * 编辑中长期规划管理-专家评审-专家
     *
     * @author hjc
     * @date  2024/04/24 10:58
     */
    void edit(MlpDraftAuditExpertEditParam mlpDraftAuditExpertEditParam);

    /**
     * 删除中长期规划管理-专家评审-专家
     *
     * @author hjc
     * @date  2024/04/24 10:58
     */
    void delete(List<MlpDraftAuditExpertIdParam> mlpDraftAuditExpertIdParamList);

    /**
     * 获取中长期规划管理-专家评审-专家详情
     *
     * @author hjc
     * @date  2024/04/24 10:58
     */
    MlpDraftAuditExpert detail(MlpDraftAuditExpertIdParam mlpDraftAuditExpertIdParam);

    /**
     * 获取中长期规划管理-专家评审-专家详情
     *
     * @author hjc
     * @date  2024/04/24 10:58
     **/
    MlpDraftAuditExpert queryEntity(String id);
}
