/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpDraftModify.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.mlpDraftModify.entity.MlpDraftModify;
import com.unis.policy.info.modular.mlpDraftModify.param.MlpDraftModifyAddParam;
import com.unis.policy.info.modular.mlpDraftModify.param.MlpDraftModifyEditParam;
import com.unis.policy.info.modular.mlpDraftModify.param.MlpDraftModifyIdParam;
import com.unis.policy.info.modular.mlpDraftModify.param.MlpDraftModifyPageParam;

import java.util.List;

/**
 * 中长期规划管理-规划修改Service接口
 *
 * @author hujinachun
 * @date  2024/04/23 11:40
 **/
public interface MlpDraftModifyService extends IService<MlpDraftModify> {

    /**
     * 获取中长期规划管理-规划修改分页
     *
     * @author hujinachun
     * @date  2024/04/23 11:40
     */
    Page<MlpDraftModify> page(MlpDraftModifyPageParam mlpDraftModifyPageParam);

    /**
     * 添加中长期规划管理-规划修改
     *
     * @author hujinachun
     * @date  2024/04/23 11:40
     */
    void add(MlpDraftModifyAddParam mlpDraftModifyAddParam);

    /**
     * 编辑中长期规划管理-规划修改
     *
     * @author hujinachun
     * @date  2024/04/23 11:40
     */
    void edit(MlpDraftModifyEditParam mlpDraftModifyEditParam);

    /**
     * 删除中长期规划管理-规划修改
     *
     * @author hujinachun
     * @date  2024/04/23 11:40
     */
    void delete(List<MlpDraftModifyIdParam> mlpDraftModifyIdParamList);

    /**
     * 获取中长期规划管理-规划修改详情
     *
     * @author hujinachun
     * @date  2024/04/23 11:40
     */
    MlpDraftModify detail(MlpDraftModifyIdParam mlpDraftModifyIdParam);

    /**
     * 获取中长期规划管理-规划修改详情
     *
     * @author hujinachun
     * @date  2024/04/23 11:40
     **/
    MlpDraftModify queryEntity(String id);
}
