/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpFirstDraftCollect.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 中长期规划管理-初稿意见征集添加参数
 *
 * @author QSHan
 * @date  2024/04/18 20:02
 **/
@Getter
@Setter
public class MlpFirstDraftCollectAddParam {

    /** biz_mlp_first_draft的id；规划名称； */
    @ApiModelProperty(value = "biz_mlp_first_draft的id；规划名称；", position = 7)
    private String firstDraftId;

    /** 开始日期 */
    @ApiModelProperty(value = "开始日期", position = 8)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8") // 接收
    private Date startDate;

    /** 结束日期 */
    @ApiModelProperty(value = "结束日期", position = 9)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8") // 接收
    private Date endDate;

    /** 收集处室；sys_org的id； */
    @ApiModelProperty(value = "收集处室；sys_org的id；", position = 10)
    private String sysOrgId;

    /** 正文 */
    @ApiModelProperty(value = "正文", position = 11)
    private String content;

    /** 附件链接或名称 */
    @ApiModelProperty(value = "附件链接或名称", position = 12)
    private String attachment;

    @ApiModelProperty(value = "状态 1：保存；2：发布；", position = 13)
    private Integer status;

    @ApiModelProperty(value = "规划名称(业务字段)", position = 14)
    private String planName;

}
