/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpFirstDraftCollect.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.mlpFirstDraftCollect.entity.MlpFirstDraftCollect;
import com.unis.policy.info.modular.mlpFirstDraftCollect.param.*;
import com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.param.MlpFirstDraftCollectFeedbackAddParam;

import java.util.List;

/**
 * 中长期规划管理-初稿意见征集Service接口
 *
 * @author QSHan
 * @date  2024/04/18 20:02
 **/
public interface MlpFirstDraftCollectService extends IService<MlpFirstDraftCollect> {

    /**
     * 获取中长期规划管理-初稿意见征集分页
     *
     * @author QSHan
     * @date  2024/04/18 20:02
     */
    IPage<MlpFirstDraftCollect> page(MlpFirstDraftCollectPageParam mlpFirstDraftCollectPageParam, MlpFirstDraftCollectQueryParam param);

    /**
     * 添加中长期规划管理-初稿意见征集
     *
     * @author QSHan
     * @date  2024/04/18 20:02
     */
    void add(MlpFirstDraftCollectAddParam mlpFirstDraftCollectAddParam);

    /**
     * 编辑中长期规划管理-初稿意见征集
     *
     * @author QSHan
     * @date  2024/04/18 20:02
     */
    void edit(MlpFirstDraftCollectEditParam mlpFirstDraftCollectEditParam);

    /**
     * 删除中长期规划管理-初稿意见征集
     *
     * @author QSHan
     * @date  2024/04/18 20:02
     */
    void delete(List<MlpFirstDraftCollectIdParam> mlpFirstDraftCollectIdParamList);

    /**
     * 获取中长期规划管理-初稿意见征集详情
     *
     * @author QSHan
     * @date  2024/04/18 20:02
     */
    MlpFirstDraftCollect detail(MlpFirstDraftCollectIdParam mlpFirstDraftCollectIdParam);

    /**
     * 获取中长期规划管理-初稿意见征集详情
     *
     * @author QSHan
     * @date  2024/04/18 20:02
     **/
    MlpFirstDraftCollect queryEntity(String id);

    List<MlpFirstDraftCollectFeedbackAddParam> checkList(String id);
}
