/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.policy.info.modular.mlpFirstDraftCollect.entity.MlpFirstDraftCollect;
import com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.entity.MlpFirstDraftCollectFeedback;
import com.unis.policy.info.modular.mlpFirstDraftCollectFeedback.param.*;

import java.util.List;
import java.util.Map;

/**
 * 中长期规划管理-初稿意见反馈Service接口
 *
 * @author QSHan
 * @date  2024/04/18 20:06
 **/
public interface MlpFirstDraftCollectFeedbackService extends IService<MlpFirstDraftCollectFeedback> {

    /**
     * 获取中长期规划管理-初稿意见反馈分页
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    Page<MlpFirstDraftCollectFeedback> page(MlpFirstDraftCollectFeedbackPageParam mlpFirstDraftCollectFeedbackPageParam, MlpFirstDraftCollectFeedbackQueryParam param);

    /**
     * 添加中长期规划管理-初稿意见反馈
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    void add(MlpFirstDraftCollectFeedbackAddParam mlpFirstDraftCollectFeedbackAddParam);

    /**
     * 编辑中长期规划管理-初稿意见反馈
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    void edit(MlpFirstDraftCollectFeedbackEditParam mlpFirstDraftCollectFeedbackEditParam);

    /**
     * 删除中长期规划管理-初稿意见反馈
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    void delete(List<MlpFirstDraftCollectFeedbackIdParam> mlpFirstDraftCollectFeedbackIdParamList);

    /**
     * 获取中长期规划管理-初稿意见反馈详情
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     */
    MlpFirstDraftCollectFeedback detail(MlpFirstDraftCollectFeedbackQueryParam param);

    /**
     * 获取中长期规划管理-初稿意见反馈详情
     *
     * @author QSHan
     * @date  2024/04/18 20:06
     **/
    MlpFirstDraftCollectFeedback queryEntity(String id);

    List<Map<String, String>> getPlanNameMap();

    IPage<MlpFirstDraftCollect> pageList(MlpFirstDraftCollectFeedbackPageParam mlpFirstDraftCollectFeedbackPageParam, MlpFirstDraftCollectFeedbackQueryParam param);
}
